function disparity = optimize_energy_gc(data_term, smoothness_term)

% OPTIMIZE_ENERGE_DP Gets the disparity matrix by minimizing the energy
% using graph cut.
%    [DISPARITY] = OPTIMIZE_ENERGY_GC(DATA_TERM_ALGORITHM,
%    SMOOTHNESS_TERM_ALGORITHM)takes as input the
%    precomputed data_term and smoothness_term and returns the disparity
%    matrix.
%
%    input parameters:
%       DATA_TERM                 - The precomputed data_term with
%                                   dimensionality height x width x
%                                   max_disparity.
%       SMOOTHNESS_TERM           - The precomputed smoothness_term with
%                                   dimensionality max_disparity x
%                                   max_disparity.
%
%    output_parameters: 
%       DISPARITY                 - A matrix showing the horizontal offsets 
%                                   in direction from INPUT_IMAGE_L to
%                                   INPUT_IMAGE_R. For example, a value of
%                                   8 in DISPARITY at pixel (y, x) means
%                                   that the corresponding pixel in
%                                   INPUT_IMAGE_R is 8 pixels to the left
%                                   of pixel (y, x) in INPUT_IMAGE_L.


% YOUR IMPLEMENTATION GOES HERE...

disparity = zeros(size(data_term(:, :, 1))); % This initialization might be
                                             % deleted or altered according
                                             % to your implementation.

end
